Imager::Regops(3pm)

NAME
Imager::Regops - generated information about the register based virtual machine

SYNOPSIS
  use Imager::Regops;
  $Imager::Regops::Attr{$opname}->{opcode} # opcode for given operator
  $Imager::Regops::Attr{$opname}->{parms} # number of parameters
  $Imager::Regops::Attr{$opname}->{types} # types of parameters
  $Imager::Regops::Attr{$opname}->{func} # operator is a function
  $Imager::Regops::Attr{$opname}->{result} # r for numeric, p for pixel result
  $Imager::Regops::MaxOperands; # maximum number of operands

DESCRIPTION
This module is generated automatically from regmach.h so we don't need to maintain the same information in at least one extra place.

At least that's the idea.

AUTHOR
Tony Cook, tony@develop-help.com

SEE ALSO
perl(1), Imager(3), http://imager.perl.org/